{
\small
\begin{algorithm}[H]
	\SetKw{KwAnd}{and}
	\SetKw{KwAnd}{from}
	\SetKwInOut{Input}{Entradas}
	\SetKwInOut{Output}{Salidas}
	\Input{El número de generaciones $N$ a computar. El tamaño $p$ de las poblaciones.}
	\Output{Una solución $S$ que será la mejor encontrada.}
	\BlankLine
	\Begin{
		$S_1$ = \text{Generate\_Initial\_Population}($p$) \\
		\For{$n := 1$ \KwTo $N$}{%\tcp*[f]{O}}{    
			$P_n :=$ \text{Select\_Parents}($S_n$) \\  
			$D_n :=$ \text{Compute\_Descendants}($P_n$) \\
			$D_n :=$ \text{Mutate}($D_n$) \\
			$S_{n+1} :=$ \text{Select\_Best\_Individuals}($P_n$, $D_n$) \\
		}
		$S :=$ \text{Select\_Best\_Individual}($S_N$) \\
	}
	\caption{\text{Computación evolutiva}\label{alg:EA}}
\end{algorithm}
}